=== modified file 'bzrlib/export/zip_exporter.py'
--- bzrlib/export/zip_exporter.py	2009-11-24 12:20:30 +0000
+++ bzrlib/export/zip_exporter.py	2009-11-25 00:14:05 +0000
@@ -36,8 +36,9 @@
 # Windows expects this bit to be set in the 'external_attr' section
 # Or it won't consider the entry a directory
 ZIP_DIRECTORY_BIT = (1 << 4)
+FILE_PERMISSIONS = (0644 << 16)
 
-_FILE_ATTR = stat.S_IFREG | (0644 << 16)
+_FILE_ATTR = stat.S_IFREG | FILE_PERMISSIONS
 _DIR_ATTR = stat.S_IFDIR | ZIP_DIRECTORY_BIT
 
 

=== modified file 'bzrlib/tests/blackbox/test_export.py'
--- bzrlib/tests/blackbox/test_export.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/blackbox/test_export.py	2009-11-25 00:14:05 +0000
@@ -141,7 +141,7 @@
         # forward slashes
         self.assertEqual(['test/a', 'test/b/', 'test/b/c', 'test/d/'], names)
 
-        file_attr = stat.S_IFREG
+        file_attr = stat.S_IFREG | export.zip_exporter.FILE_PERMISSIONS
         dir_attr = stat.S_IFDIR | export.zip_exporter.ZIP_DIRECTORY_BIT
 
         a_info = zfile.getinfo(names[0])

